テケオは眠くても頑張るぞ!

便利なサービスや製品紹介、スマホゲームや動画視聴のレビュー、ブログのカスタマイズ方法などを書く雑記ブログ

FirefoxでiMacrosが使えない・動かない場合の対処法【Mac/Windows】

f:id:tektekeo:20171113183342j:plain

最終更新日:2017年11月13日

Firefoxのアップグレードをするとブラウザ自動化操作ツール「iMacros」が非対応であり、Firefox for iMacrosが使用できなくなっていました。

他のブラウザでもiMacrosは使用できますが、FirefoxはJavaScriptを使用できるという優位性があるのでなんとかして動作させたいところ。

対策方法をまとめたのでご覧ください。

Firefoxのアップデートによる影響

FireFoxを「56.0~」にアップデートし、iMacrosのアドオンを追加しようとするとこんな画面が...

f:id:tektekeo:20171113183902j:plain

画像リンク先:iMacros for Firefox – Add-ons for Firefox

「このアドオンはお使いのバージョンのFirefoxと互換性がない」とのこと。

対処法

Firefoxをダウングレードする」しか方法はないと思います。

しかし、ダウングレードするということはサポートされていないブラウザになるので、基本的に推奨されません。

セキュリティ面などで不安はあるけれども、FirefoxでiMacrosを使いたいという人のみダウングレードを行ってください。

もちろん自己責任でよろしくお願いします。

1.iMacrosのファイルをバックアップする

通常はしなくても問題ないと思いますが、不安な人は一応バックアップをオススメします。

ファイルの場所は以下の通り

Windows(7):C:¥ユーザー¥【ユーザー名】¥マイ ドキュメント¥iMacros¥Macros

Mac:/Users/【ユーザー名】/iMacros/Macros

2.Firefoxのダウングレード版をダウンロードする

support.mozilla.org

こちらの公式ページからダウンロードできます。ダウングレードの注意事項などあるので読んでおくと良いでしょう。

f:id:tektekeo:20171113195628j:plain

Macの場合

f:id:tektekeo:20171113195653j:plain

Windowsの場合

ちなみにiMacrosが対応しているFirefoxのバージョンは「55.*」までです。

こちらで確認できます。

iMacros for Firefox :: Versions :: Firefox 向けアドオン

Firefox 55.0.3以前や、更新によって画像のようなFirefoxのバージョンのリンク先ではなくなった場合は以下のリンク先よりさらに過去のFirefoxをダウンロードできます。

Mozilla Firefox 旧バージョン

3.PCにダウングレード版をインストール

Macの場合

ダウンロードしたdmgファイルを実行して以下の画像のようなインストール画面へ

f:id:tektekeo:20171113200512j:plain

ご存知だと思いますが、これでインストール完了です。

Windowsの場合

ダウンロードしたexeファイルを実行。

f:id:tektekeo:20171113200902j:plain

その後「標準インストール」を選択して進めれば完了です。

4.アドオンiMacrosを追加 or 動作を確認する

問題がなければ以前インストールしていたiMacrosが使えるようになっていると思います。以前作ったファイルを実行できるようになっていますよね?

もしそうなっていない方はAdd-Onをもう一度インストールし直してバックアップしたファイルを適した場所にコピペしましょう。

きっちりと動けば完了です。

まとめ

  • iMacrosが最新Firefoxのバージョン対応していないため使えない
  • FirefoxをダウングレードしてiMacrosを使用できるようにした

iMacrosは非常に便利なブラウザ自動化ツールです。特にFirefox版はプログラミングに精通していない方でも、JavaScriptを少し勉強すれば自動化の可能性は飛躍的に上がります。

その唯一のブラウザが対応されてなく、困った方のお役に立てればと思います。

最後にダウングレードによる、いかなる不具合やトラブルは自己責任でお願いします。